// creator  : weidu.exe (version 23100)
// argument : LIFE2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~LIFE2~ 1 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #11815 /* ~Ah, so long have I lain.  Behind this prison of glass do I weep and rage.~ */
  IF ~~ THEN REPLY #11816 /* ~How long have you been trapped in that bottle, pray tell?~ */ GOTO 1
  IF ~~ THEN REPLY #11822 /* ~Who are you, may I ask?  Can you tell me anything of this place?~ */ GOTO 1
  IF ~~ THEN REPLY #11827 /* ~Tell me where I am before I smash this glass and take what little life you have!~ */ GOTO 1
  IF ~~ THEN REPLY #11828 /* ~I have no desire to speak with you further.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #11836 /* ~I have called out so many, many times to thee.  Master!  Master!  Why hast thou forsaken me?  Why hast thou left me in this bottle to wither?  Why?~ */
  IF ~~ THEN REPLY #11844 /* ~Can you tell me nothing?  Do you not hear me?~ */ GOTO 3
  IF ~~ THEN REPLY #11845 /* ~Who is this Master of yours?  Why did he do this to you?~ */ GOTO 3
  IF ~~ THEN REPLY #11853 /* ~I have no desire to speak with you further.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: MINSCJ:66.0 5.0 4.1 3.1 1.2 0.3
  SAY #11841 /* ~Why, Master?  I long only to hear thy words once more.  Why?  Whyyyy?~ */
  IF ~~ THEN DO ~SetGlobalTimer("Life02Timer","AR0602",5)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1 1.0
  SAY #11861 /* ~Master, thou didst place me here out of kindness, but thou hast forgotten me!  Have I simply slipped from thy thoughts?  Master, please hear me!~ */
  IF ~~ THEN REPLY #11862 /* ~This Master has left you imprisoned in a bottle?  What manner of person would do such a thing?~ */ GOTO 4
  IF ~~ THEN REPLY #11865 /* ~I have heard enough of your meanderings.~ */ GOTO 2
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #11871 /* ~Thou couldst not cure what was done, but surely thy magicks have increased, Master!  Thou didst care for me once, let me help in thy search... do not forget me here forever!  Pleeaaaase!~ */
  IF ~~ THEN REPLY #11879 /* ~You poor creature, I can do nothing for you.~ */ GOTO 5
  IF ~~ THEN REPLY #11885 /* ~You cannot hear me, I see, and I have heard enough.~ */ GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #11889 /* ~Why hast thou forgotten?  This is no boon, Master, please do not leave me!  Ahhhh... glass and thoughts for eternity, pain and loneliness for a destiny!~ */
  IF ~!IsValidForPartyDialog("Minsc")~ THEN GOTO 2
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 66
END
